Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.struts.adapter.taglib.nested.html
Class NestedPasswordTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.html.BaseHandlerTag
                  org.apache.struts.taglib.html.BaseInputTag
                      org.apache.struts.taglib.html.BaseFieldTag
                          com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter
                              com.bea.struts.adapter.taglib.html.PasswordTag
                                  com.bea.struts.adapter.taglib.nested.html.NestedPasswordTag

All Implemented Interfaces
  TagAdapter, Serializable, javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, NestedNameSupport, NestedPropertySupport, NestedTagSupport

    public class NestedPasswordTag

extends PasswordTag
implements NestedNameSupport

Tag adapter for the Struts NestedPasswordTag.

See Also
  Serialized Form
  This class is based on 3rd party types and is thus dependent upon announced or unannounced changes to those 3rd party types. Extensions of this class by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal or in future versions of the 3rd party types.

Field Summary

Fields inherited from class org.apache.struts.taglib.html.BaseFieldTag
`accept, redisplay, type`

Fields inherited from class org.apache.struts.taglib.html.BaseInputTag
`cols, maxlength, messages, name, property, rows, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, doDisabled, doReadonly, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`NestedPasswordTag()`

Method Summary
`int` | `doEndTag()` Complete the processing of the tag.
`int` | `doStartTag()` Overriding method of the heart of the matter.
`void` | `release()` Release the tag's resources and reset the values.

Methods inherited from class com.bea.struts.adapter.taglib.html.BaseFieldTagAdapter
`adaptPrepareIndex`

Methods inherited from class org.apache.struts.taglib.html.BaseFieldTag
`formatValue, getAccept, getRedisplay, prepareValue, renderInputElement, setAccept, setRedisplay`

Methods inherited from class org.apache.struts.taglib.html.BaseInputTag
`getCols, getMaxlength, getName, getProperty, getRows, getSize, getValue, prepareName, setCols, setMaxlength, setName, setProperty, setRows, setSize, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`doErrorsExist, getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getErrorKey, getErrorStyle, getErrorStyleClass, getErrorStyleId, getIndexed, getIndexValue, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareAttribute, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareOtherAttributes, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setErrorKey, setErrorStyle, setErrorStyleClass, setErrorStyleId, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.struts.taglib.nested.NestedNameSupport
`getName, setName`

Methods inherited from interface org.apache.struts.taglib.nested.NestedPropertySupport
`getProperty, setProperty`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### NestedPasswordTag

    public NestedPasswordTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overriding method of the heart of the matter. Gets the relative property and leaves the rest up to the original tag implementation. Sweet.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseFieldTagAdapter`
  Returns
    int JSP continuation directive. This is in the hands of the super class.
  Throws
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Complete the processing of the tag. The nested tags here will restore all the original value for the tag itself and the nesting context.

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `BaseInputTag`
  Returns
    int to describe the next step for the JSP processor
  Throws
    `javax.servlet.jsp.JspException` - for the bad things JSP's do

### release

    public void release()

  Release the tag's resources and reset the values.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseFieldTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.